summaryrefslogtreecommitdiff
path: root/Meta/build-image-qemu.sh
diff options
context:
space:
mode:
authorΣτέφανος <sofr.stef@cytanet.com.cy>2022-02-04 16:28:00 +0200
committerBrian Gianforcaro <b.gianfo@gmail.com>2022-02-05 19:34:40 +0000
commit43d706a29e6d0ccdacb4907981a27c3bf176d5e8 (patch)
treec5fad135b737ba9ce047a607091ac213dfad6c51 /Meta/build-image-qemu.sh
parent2212aa2388c4f6abae577daa2cbb27f8796939d4 (diff)
downloadserenity-43d706a29e6d0ccdacb4907981a27c3bf176d5e8.zip
Meta: Fix problematic `e2fsck` behavior (Debian)
Under Debian `e2fsck` is found in `/sbin/` which does not match the existing "version" the script currently uses (`/usr/sbin/e2fsck` versus `/sbin/e2fsck`); therefore I added a simple `if` condition to remedy the situation by verifying whether the original path exists or not, so I can use the one Debian expects. Special thanks goes to Tim Flynn a.k.a. `trflynn89` for his valuable feedback.
Diffstat (limited to 'Meta/build-image-qemu.sh')
-rwxr-xr-xMeta/build-image-qemu.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/Meta/build-image-qemu.sh b/Meta/build-image-qemu.sh
index bbbb65093c..bd10030e41 100755
--- a/Meta/build-image-qemu.sh
+++ b/Meta/build-image-qemu.sh
@@ -74,6 +74,12 @@ DISK_SIZE_BYTES=$((($(disk_usage "$SERENITY_SOURCE_DIR/Base") + $(disk_usage Roo
DISK_SIZE_BYTES=$(((DISK_SIZE_BYTES + (INODE_COUNT * INODE_SIZE * 2)) * 3))
INODE_COUNT=$((INODE_COUNT * 7))
+E2FSCK="/usr/sbin/e2fsck"
+
+if [ ! -f "$E2FSCK" ]; then
+ E2FSCK=/sbin/e2fsck
+fi
+
USE_EXISTING=0
if [ -f _disk_image ]; then
@@ -81,7 +87,7 @@ if [ -f _disk_image ]; then
echo "checking existing image"
result=0
- /usr/sbin/e2fsck -f -y _disk_image || result=$?
+ "$E2FSCK" -f -y _disk_image || result=$?
if [ $result -ge 4 ]; then
rm -f _disk_image
USE_EXISTING=0